/*****************************************************************************
 * Runs LVMGui under JDK 1.3
 * Copyright (c) Frank Ambacher 2002
 * http://www.anakor.de
 * Use at your own risk!
*/

'@echo off'
lvmshell = 'lvmgui'

/* Load REXXUTIL */
loaded = rxfuncquery('SysLoadFuncs')
call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
call sysloadfuncs

parse arg parameters
bootdrive=left(value('COMSPEC',,'OS2ENVIRONMENT'),2)
javahome=bootdrive'\Java13'
javaapps=bootdrive'\os2\javaapps'
currdir = DIRECTORY() /* save the current drive and directory */
newdir = DIRECTORY(javaapps)

'@setlocal'
'@set JAVA_HOME='
'@set PATH='javahome'\jre\bin;'javahome'\bin;%PATH%'
'@set BEGINLIBPATH='javahome'\JRE\DLL;'javahome'\JRE\BIN'
'@set CLASSPATH='javaapps'\lvmgui.zip'
javaw lvmshell parameters
'@endlocal'

currdir = DIRECTORY(currdir) /* reset curr dir on original drive */
if loaded=1
then
do
   call SysDropFuncs
end
Exit 0
